$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.29.67-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.29.67-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '0CA4614028D5AE0E2F3699246C7C468CCCB6EBD935DD30D6DBC70BF73BDF7055'
  checksumType = 'sha256'
  checksum64 = '0CA4614028D5AE0E2F3699246C7C468CCCB6EBD935DD30D6DBC70BF73BDF7055'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.29.67-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
